Name:		heatshrink
Version:	0.4.1
Release:	1%{?dist}
License:	ISC
URL:		https://github.com/atomicobject/heatshrink
Source0:	https://github.com/atomicobject/heatshrink/v%{version}.tar.gz
Summary:	Data compression library for embedded/real-time systems
BuildRequires:	cmake, gcc
# Add cmake support, thanks Prusa
Patch0:		https://patch-diff.githubusercontent.com/raw/atomicobject/heatshrink/pull/77.patch
# Build shared libraries with versioning
Patch1:		heatshrink-0.4.1-cmake-shared-version.patch
# include GNUInstallDirs earlier in the CMakeFile.txt so we install libs in the right place
Patch2:		heatshrink-0.4.1-cmake-gnu-earlier.patch

%description
A data compression/decompression library for embedded/real-time systems.

%package devel
Requires:	%{name}%{?_isa} = %{version}-%{release}
Summary:	Development files for heatshrink

%description devel
Development files for heatshrink.

%prep
%setup -q
%patch -P 0 -p1 -b .cmake
%patch -P 1 -p1 -b .shared-version
%patch -P 2 -p1 -b .gnu-earlier

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/heatshrink
%{_libdir}/libheatshrink.so.*
%{_libdir}/libheatshrink_dynalloc.so.*

%files devel
%{_includedir}/heatshrink/
%{_libdir}/cmake/heatshrink
%{_libdir}/libheatshrink.so
%{_libdir}/libheatshrink_dynalloc.so

%changelog
* Fri Dec 29 2023 Tom Callaway <spot@fedoraproject.org> - 0.4.1-1
- Initial package
